const showdown = require("showdown");
const converter = new showdown.Converter();
const nunjucks = require("nunjucks");
const fs = require("fs");

async function main (){
	nunjucks.configure({
		autoescape: true
	});
	try{ fs.mkdirSync('dist'); }
	catch {}
	var articles = fs.readdirSync('articles');
	for(var i=0;i<articles.length;i++){
		var article = fs.readFileSync('articles/'+articles[i], {encoding: 'utf-8'});
		article = converter.makeHtml(article);
		fs.writeFileSync('dist/'+articles[i].substring(0, articles[i].length - 3)+'.html', article, {encoding: 'utf-8'});
	}
	//var test = fs.readFileSync("./test.md", {encoding: 'utf-8'});
}

module.exports.main = main;